org.apache.ignite.internal.processors.cache

## Class GridCacheUpdateTxResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUpdateTxResult

    public class GridCacheUpdateTxResult
    extends Object

Cache entry transactional update result.

### Method Summary

All Methods Instance Methods Concrete Methods
`WALPointer` `loggedPointer()`
`CacheObject` `oldValue()`
`boolean` `success()`
`String` `toString()`
`long` `updatePartitionCounter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### updatePartitionCounter

    public long updatePartitionCounter()

Returns:
  Partition idx.

#### success

    public boolean success()

Returns:
  Success flag.

#### loggedPointer

    public WALPointer loggedPointer()

Returns:
  Logged WAL pointer for the update if persistence is enabled.

#### oldValue

    @Nullable
    public CacheObject oldValue()

Returns:
  Old value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018